%define name sqlgrey
%define ver  1.8.0
%define rel  1

Summary:   SQLgrey is a postfix grey-listing policy service.
Name:      %{name}
Version:   %{ver}
Release:   3.1
License:   GPL
Url:       http://sqlgrey.sourceforge.net
Group:     System Utils
Source:    %{name}-%{ver}.tar.bz2
Source1:   %{name}.service
Patch0:	   sqlgrey-load-DBIx-DBCluster.patch
BuildRoot: %{_tmppath}/%{name}-%{ver}-build
BuildArch: noarch
Requires:  perl-DBI
Requires:  perl-DBIx-DBCluster
Requires:  perl-Net-Server

%description
SQLgrey is a Postfix grey-listing policy service with auto-white-listing
written in Perl with SQL database as storage backend.
Greylisting stops 50 to 90 % junk mails (spam and virus) before they
reach your Postfix server (saves BW, user time and CPU time).

%prep
%setup
%patch0 -p0

%build
make

%install
make rh-install ROOTDIR=$RPM_BUILD_ROOT
%if 0%{?rhel} > 6 
%__install -D -m644 %{S:1} $RPM_BUILD_ROOT/usr/lib/systemd/system/%{name}.service
%endif

%clean
make clean

%files
%defattr(-,root,root)
/etc/init.d/sqlgrey
/usr/sbin/sqlgrey
/usr/sbin/update_sqlgrey_config
/usr/bin/sqlgrey-logstats.pl
/usr/share/man/man1/sqlgrey.1*
%doc README* HOWTO Changelog FAQ TODO
%defattr(644,root,root)
%config(noreplace) /etc/sqlgrey/sqlgrey.conf
/etc/sqlgrey/clients_ip_whitelist
/etc/sqlgrey/clients_fqdn_whitelist
/etc/sqlgrey/discrimination.regexp
/etc/sqlgrey/dyn_fqdn.regexp
/etc/sqlgrey/smtp_server.regexp
/etc/sqlgrey/README
%if 0%{?rhel} > 6
/usr/lib/systemd/system/%{name}.service
%endif


%pre
getent group sqlgrey > /dev/null || /usr/sbin/groupadd sqlgrey
getent passwd sqlgrey > /dev/null || /usr/sbin/useradd -g sqlgrey \
     -d /var/sqlgrey -s /bin/true sqlgrey 
mkdir -p /var/sqlgrey
chown sqlgrey:sqlgrey /var/sqlgrey

%postun
if [ $1 = 0 ]; then
   if [ `getent passwd sqlgrey | wc -l` = 1 ]; then
      /usr/sbin/userdel sqlgrey
   fi
   if [ `getent group sqlgrey | wc -l` = 1 ]; then
      /usr/sbin/groupdel sqlgrey
   fi
fi

%changelog
* Mon May 18 2020 Local OBS User <cs@linux-administrator.com>
- add systemd unit file
- add requires
- add sqlgrey-load-DBIx-DBCluster.patch
